diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
new file mode 100644
index 4c5af4b..8cf5385
*** a/doc/src/sgml/func.sgml
--- b/doc/src/sgml/func.sgml
*************** SELECT a,
*** 10563,10568 ****
--- 10563,10578 ----
  SELECT ... WHERE CASE WHEN x &lt;&gt; 0 THEN y/x &gt; 1.5 ELSE false END;
  </programlisting>
     </para>
+ 
+    <note>
+     <para>
+      As described in <xref linkend="xfunc-volatility">, functions and
+      operators marked <literal>IMMUTABLE</literal> can be evaluated when
+      the query is planned rather than when it is executed.  This means
+      that constant parts of a subexpression that is not evaluated during
+      query execution might still be evaluated during query planning.
+     </para>
+    </note>
    </sect2>
  
    <sect2 id="functions-coalesce-nvl-ifnull">
